package atosj.action.help;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.widgets.Display;

import atosj.Messages;
import atosj.dialog.InfoDlg;

/**
 * Zeigt die ATOSj Versionsnummer und deren Autoren an. 
 * @author Nicos Tegos
 */
public class InfoAction extends Action {

	public InfoAction() {
		super(Messages.getString("InfoAction.0")); //$NON-NLS-1$
	}
	
	/**
	 * Zeigt die ATOSj Versionsnummer und deren Autoren an.
	 */
	public void run() {
		new InfoDlg( Display.getDefault().getActiveShell() ).open();
	}
}
