package atosj.action.project;

import org.eclipse.jface.action.Action;
import org.eclipse.swt.widgets.Display;

import atosj.Messages;
import atosj.dialog.OptionsDlg;

/**
 * Zeigt den Dialog fr allgemein Programmeinstellungen.
 * @author Nicos Tegos
 */
public class OptionsAction extends Action {

	public OptionsAction() {
		super(Messages.getString("OptionsAction.0")); //$NON-NLS-1$
	}

	/**
	 * Zeigt den Dialog fr allgemein Programmeinstellungen.
	 * @see OptionsDlg
	 */
	public void run() {
		new OptionsDlg( Display.getCurrent().getActiveShell() ).open();
	}
}
