/*
 * Created on 28.04.2006
 */
package atosj.component;

import atosj.exception.ComponentException;

/**
 * Diese Interface reprsentiert den HTS Typ BUTTON.
 * @author Nicos Tegos
 */
public interface IButton extends IComponent, ILabel
{
	/**
	 * Simuliert einen einfachen Linksklick.
	 */
	void select() throws ComponentException;
}
