/*
 * Created on 30.04.2006
 */
package atosj.component;

import atosj.exception.ComponentException;

/**
 * Dieses Interface reprsentiert alle HTS Typen, die den Aktionstyp EDIT untersttzen.
 * @author Nicos Tegos
 */
public interface IEditable {
	/**
	 * Setzt den Text.
	 * @param text  Der Text.
	 * @throws ComponentException wenn das Component nicht editierbar ist.
	 */
	void setText(String text) throws ComponentException;
}
