/*
 * Created on 28.04.2006
 */
package atosj.component;

import atosj.exception.ComponentException;

/**
 * Dieses Interface reprsentiert den HTS-Typ RADIOBUTTON.
 * @author Nicos Tegos
 */
public interface IRadio extends IButton {
	
	/**
	 * Setzt den Radio Button auf ausgewhlt, wenn er vorher nicht
	 * schon ausgewhlt war.
	 */
	void check() throws ComponentException;
	
	/**
	 * @return der Check-Zustand (Hckchen oder keins).  
	 */
	boolean isChecked() throws ComponentException;
}
