/*
 * Created on 18.12.2005
 */
package atosj.dialog;

import atosj.Messages;
import atosj.rmi.HTSPlayer;

/**
 * <code>ContentProvider</code> fr Tabelle zur Anzeige von Statistiken eines Skriptes.
 * Liefert den Ausfhrungsstatus des Skriptes.
 * @author Nicos Tegos
 */
public class ScriptStatisticsTableContentProvider extends StatisticsTableContentProvider
{
	public static final String[] PROPERTIES = new String[] {Messages.getString("ScriptStatisticsTableContentProvider.0"), Messages.getString("ScriptStatisticsTableContentProvider.1"), Messages.getString("ScriptStatisticsTableContentProvider.2"), Messages.getString("ScriptStatisticsTableContentProvider.3"), Messages.getString("ScriptStatisticsTableContentProvider.4") }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$

	/* (non-Javadoc)
	 * @see atosj.dialog.StatisticsTableContentProvider#createStatisticTableElements(java.lang.Object)
	 */
	public StatisticsTableElement[] createStatisticTableElements(Object input) {
		return ((HTSPlayer)input).getScriptStatistics();
	}
}
