/*
 * Created on 17.11.2005
 */
package atosj.editors;

import org.eclipse.swt.custom.CTabFolder;

/**
 * Erstellt einen Editor.
 * @author Nicos Tegos
 */
public interface IEditorFactory {
	/**
	 * Erstellt einen Editor im angegeben <code>CTabFolder</code>.
	 * @param parent Der Tabfolder, in dem der Editor erstellt werden soll.
	 */
	Editor createEditor(CTabFolder parent);
}
