package atosj.editors.urf;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import atosj.component.ComponentId;

/**
 * Filtert alle <code>CompoentId</code>s raus, die Componetnamen beinhalten, die
 * aus der Position des Components generiert wurden.
 * @author Nicos Tegos
 */
class IdTableFilter extends ViewerFilter 
{
	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ViewerFilter#select(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
	 */
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		if( ((ComponentId) element).getName().startsWith("Pos [") )
			return false;
		
		return true;
	}
}
