/*
 * Created on 18.02.2006
 */
package atosj.listener;

import atosj.util.Statistics;

/**
 * Wird ber die Ausfhrung von Kommandos eines Skripts informiert.
 * @author Nicos Tegos
 */
public interface PlayerReceiverListener extends ReceiverListener
{
	/**
	 * Die Ausfhrung eines Kommandos wurde beendet.
	 * @param statistics Informationen ber die Ausfhrung.
	 */
	public void commandStatisticsReceived(Statistics statistics);
	/**
	 * Die Ausfhrung eines Kommandos hat begonnen.
	 * @param index Der Index des Kommandos in seinem Skript.
	 */
	public void commandStarted(int index);
}
