/*
 * Created on 19.02.2006
 */
package atosj.listener;

import java.util.Vector;

/**
 * Wird informiert, wenn ein neues Fenster des Testobjekts geffnet
 * wurde und liefert, die IDs aller enthalten Components.
 * @author Nicos Tegos
 */
public interface URFReceiverListener extends ReceiverListener {
	/**
	 * Informiert, dass ein Fenster des Testobjekts geffnet wurde.
	 * @param ids Vector(ComponentId) alle IDs der Components,
	 * die fr das geffnete Fenster ermittelt wurden.
	 * @see atosj.component.ComponentId
	 */
	public void idsPublished(Vector ids);
}
