/*
 * Created on 13.06.2006
 */
package atosj.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

import atosj.app.TestObject;
import atosj.exception.AtosJException;

/**
 * Der Implementator dieses Interfaces hat die Aufgabe das Testobjekt innerhalb des Remote-Prozesses zu starten.
 * Der Nutzer wird ber einen Fehler beim Start informiert, somit kann er berprfen ob seine Angaben bzgl. des
 * Testobjektes, z.B. der Classpath, korrekt sind.
 * @author Nicos Tegos
 */
public interface ITestStarter extends Remote {
	/** Startet das Testobjekt */
	void start(TestObject testee)  throws AtosJException, RemoteException;
}
