/*
 * Created on 17.01.2006
 */
package atosj.action;

import atosj.Messages;
import atosj.gui.TreeEntry;
import atosj.util.Clipboard;

/**
 * Fgt ein Objekt aus dem Navigator-Baum des aktuellen Projekts zum Kopieren in die Zwischenablage ein.
 * @author Nicos Tegos
 */
public class CopyTreeEntryAction extends TreeEntryAction {

	public CopyTreeEntryAction(TreeEntry entry) {
		super(Messages.getString("CopyTreeEntryAction.0"), entry); //$NON-NLS-1$
	}

	/**
	 * Fgt ein Objekt aus dem Navigator-Baum des aktuellen Projekts zum Kopieren in die Zwischenablage ein.
	 * @see Clipboard#setElement(Object, int)
	 */
	public void run() {
		Clipboard.getInstance().setElement(getTreeEntry().getWrappedObject(), Clipboard.MODE_COPY);
	}
}
