/*
 * Created on 28.04.2006
 */
package atosj.component;

import atosj.exception.ComponentException;

/**
 * Dieses Interface reprsentiert den HTS TYP CHECKBOX.
 * @author Nicos Tegos
 */
public interface ICheckbox extends IButton {
	
	/**
	 * Setzt den Zustand auf <code>check</code>, falls dieser Zustand nicht schon vorher
	 * so war.
	 * @param check wenn true Hckchen setzen, wenn false Hckchen entfernen 
	 */
	void setChecked(boolean check) throws ComponentException;
	
	/**
	 * Gibt den Check-Zustand (Hckchen oder keins) zurck.  
	 */
	boolean isChecked() throws ComponentException;
}
