/*
 * Created on 28.04.2006
 */
package atosj.component;

import atosj.exception.ComponentException;

/**
 * Dieses Interface reprsentiert den HTS TYP LABEL.
 * @author Nicos Tegos
 */
public interface ILabel extends IComponent 
{
	
	/**
	 * @return Die Beschriftung des Labels.
	 */
	String getText() throws ComponentException;
	
	/**
	 * @return Die Beschriftung des Labels, als numerischer Wert.
	 * @throws ComponentException wenn die Beschriftung nicht
	 * in einen numerischen Wert umgewandelt werden kann.
	 */
	float getNum() throws ComponentException;
}
