/*
 * Created on 10.12.2005
 */
package atosj.dialog;

import atosj.model.hts.command.HTSCommand;

/**
 * Liefert Statistiken zur Ausfhrung eines einzelnen Kommandos, zur
 * Anzeige in einer Tabelle.
 * @author Nicos Tegos
 */
public class CommandStatisticsTableElement extends StatisticsTableElement
{
	/**
	 * Neue Statistik fr ein Kommando.
	 * @param cmd Das Kommando.
	 */
	public CommandStatisticsTableElement(HTSCommand cmd) {
		super( cmd, cmd.getIndex() );
	}
	
	private HTSCommand getCommand() {
		return (HTSCommand) getElement();
	}
	
	/**
	 * Liefert die textuelle Darstellung des Kommandos.
	 * @see HTSCommand#toString()
	 */
	public String getCommandLine() {
		return getCommand().toString();
	}
}
