/*
 * Created on 09.01.2006
 */
package atosj.editors;

import java.util.Comparator;

/**
 * Vergleicht Vertreter des Interfaces <code>Changeable</code> anhand
 * ihres Namens.
 * @author Nicos Tegos 
 * @see atosj.editors.Changeable
 */
public class ChangeableNameComparator implements Comparator 
{
	public int compare(Object arg0, Object arg1) 
	{
		if(arg0 instanceof Changeable && arg1 instanceof Changeable)
			return ((Changeable)arg0).getName().compareTo( ((Changeable)arg1).getName() );
		
		return -1;
	}
};
