package atosj.editors.urf;

import java.util.Comparator;

import atosj.component.ComponentId;

/**
 * Vergleicht die Componentnamen zweier <code>ComponentId</code>s miteinander.
 * @author Nicos Tegos
 */
public class NameComparator implements Comparator {

	public int compare(Object arg0, Object arg1) {
		if(arg0 instanceof ComponentId && arg1 instanceof ComponentId)
			return ((ComponentId)arg0).getName().compareTo( ((ComponentId)arg1).getName() );
		return 0;
	}
	
}
