/*
 * Created on 13.01.2006
 */
package atosj.listener;

import atosj.util.Clipboard;

/**
 * Dieser Listener wird ber Vernderungen der Zwischenablage von
 * ATOSj benachrichtigt.
 * @author Nicos Tegos
 * @see atosj.util.Clipboard
 */
public interface ClipboardListener {
	/**
	 * Informiert, dass sich der Inhalt des Clipboards gendert hat.
	 * @param clip Das Clipboard.
	 */
	public void clipboardChanged(Clipboard clip);
}
