package atosj.listener;

import atosj.model.hts.command.HTSCommand;

/**
 * Informiert ber aufgezeichnete Kommandos.
 * @author Nicos Tegos
 */
public interface CommandReceiverListener extends ReceiverListener {
	/**
	 * Informiert, dass der <code>HTSCommandReceiver</code> ein aufgezeichnetes
	 * Kommando empfangen hat.
	 * @param cmd Das aufgezeichnete Kommando.
	 */
	void commandReceived(HTSCommand cmd);
}
