/*
 * Created on 12.01.2006
 */
package atosj.listener;

/**
 * Dieser Listener hrt Container-Klassen, die andere Elemente enthalten. Er wird
 * wird ber strukturelle Vernderungen der Container Klasse oder
 * ber mgliche nderungen der enthaltenen Elemente informiert.
 * @author Nicos Tegos
 */
public interface ContentChangeListener {
	/**
	 * Der Container hat sich in irgendeiner Weise strukturell gendert.
	 * @param container Der Container.
	 */
	public void contentChanged(Object container);
}
