package atosj.listener;

/**
 * Wird ber den Wechsel des aktuellen Projekts benachrichtigt.
 * @author Nicos Tegos
 */
public interface InputListener {
	/**
	 * Das aktive Projekt hat sich gendert.
	 * @param oldObj  Das vorherige Projekt oder <code>null</code>,
	 * falls zuvor kein Projekt geffnet war.
	 * @param newObj Das neue Projekt oder <code>null</code>,
	 * falls kein neues Projekt geffnet wurde.
	 */
	public void inputChanged(Object oldObj, Object newObj);
}
