/*
 * Created on 18.02.2006
 */
package atosj.listener;

import atosj.util.Statistics;

/**
 * Wird ber die Ausfhrung von Skripten eines Testpakets informiert.
 * @author Nicos Tegos
 */
public interface PackagePlayerReceiverListener extends PlayerReceiverListener {
	/**
	 * Die Ausfhrung eines Skriptes hat begonnen.
	 * @param index Der Index des Skriptes in seinem Paket.
	 */
	public void scriptStarted(int index);
	/**
	 * Die Ausfhrung eines Skriptes wurde beendet.
	 * @param statistics Informationen ber die Ausfhrung.
	 */
	public void scriptStatisticsReceived(Statistics statistics);
}
