/*
 * Created on 17.04.2006
 */
package atosj.listener;

import atosj.editors.Changeable;

/**
 * Wird benachrichtigt wenn einem Projekt neue Pakete, Skripte hinzugefgt
 * oder gelscht werden.
 * @author Nicos Tegos
 */
public interface ProjectListener 
{
	/**
	 * Eine Ressource wurde gelscht.
	 * @param c Die gelschte Ressource.
	 */
	void resourceDeleted(Changeable c);
	/**
	 * Eine Ressource wurde dem Projekt hinzugefgt.
	 * @param c Die neue Ressource.
	 */
	void resourceCreated(Changeable c);
}
