/*
 * Created on 14.04.2006
 */
package atosj.listener;

import atosj.editors.UndoManager;

/**
 * Wird ber nderung in einme <code>UndoManager</code> eines
 * Editors informiert.
 * @author Nicos Tegos
 */
public interface UndoManagerListener {
	/**
	 * Wird gerufen wenn sich die Aktionen in der Undo- oder RedoListe
	 * des <code>mngr</code> gendert haben.
	 * @param mngr Der <code>UndoManager</code>.
	 */
	public void undoManagerChanged(UndoManager mngr);
}
