package atosj.model.hts.command;

import java.util.Comparator;

/**
 * Vergleicht 2 Kommandos des selben Skripts anhand ihres Index.
 * @author Nicos Tegos
 */
public class CommandIndexComparator implements Comparator {

	public int compare(Object arg0, Object arg1) {
		Integer index0 = new Integer( ((HTSCommand)arg0).getIndex() );
		Integer index1 = new Integer( ((HTSCommand)arg1).getIndex() );
		
		return index0.compareTo(index1);
	}

}
