/*
 * Created on 13.06.2006
 */
package atosj.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Kommunikationspartner eines <code>ITestStarters</code> im ATOSj Prozess.
 * Wird ber das Beenden des Testobjekts informiert.
 * @author Nicos Tegos
 * @see atosj.rmi.ITestStarter
 */
public interface ITestStarterReceiver extends Remote {
	/** Informiert ber das Ende des Testobjekts. */
	public void clientShutdown() throws RemoteException;
}
